Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

update doc.

  • Loading branch information...
commit f45d9383c6286250f910043573a976889a6798db 1 parent 4469171
@mattn authored
Showing with 6 additions and 14 deletions.
  1. +6 −14 gist.vim.vimup
View
20 gist.vim.vimup
@@ -2,7 +2,7 @@ script_name: Gist.vim
script_id: '2423'
script_type: utility
script_package: gist-vim.zip
-script_version: '6.7'
+script_version: '6.8'
required_vim_version: '7.0'
summary: vimscript for gist
@@ -36,11 +36,11 @@ detailed_description: |
:Gist -d
delete the gist. (should be work on gist buffer)
- password authentication is needed.
+ authentication required.
:Gist -f
fork the gist. (should be work on gist buffer)
- password authentication is needed.
+ authentication required.
:Gist XXXXX
get gist XXXXX.
@@ -98,20 +98,12 @@ install_details: |
plugin/gist.vim
cookies/github
- if you want to uninstall gist.vim, you have better to remove 'cookies/github'.
-
- for using gist.vim, you should install git. or set g:github_user and g:github_token into your vimrc.
- note that g:github_token is NOT a your password.
-
- how get your token.
- 1. login to github.
- 2. click "Account Settings"
- 3. click "Account Admin"
- 4. you'll see it at following of 'API Token'.
-
See also: https://github.com/mattn/gist-vim/blob/master/README.mkd
versions:
+- '6.8': |
+ This is an upgrade for Gist.vim: changed authentication. removed password authentication. if you want to keep using password authentication, let gist_use_password_in_gitconfig to 1.
+
- '6.7': |
This is an upgrade for Gist.vim: fix behavior of g:gist_browser_command = ':OpenBrowser %URL%'.
Please sign in to comment.
Something went wrong with that request. Please try again.